## font-manager 0.9.0

=== meson_options.txt ===
option('manager', type: 'boolean', value: true, description: 'Install font-manager')
option('viewer', type: 'boolean', value: true, description: 'Install font-viewer')
option('search-provider', type: 'boolean', value: true, description: 'Install GNOME shell search provider')
option('adwaita', type: 'boolean', value: false, description: 'Use Adwaita stylesheet')
option('webkit', type: 'boolean', value: true, description: 'Google Fonts Integration')
option('yelp-doc', type: 'boolean', value: true, description: 'Install help documents')
option('enable-nls', type: 'boolean', value: true, description: 'Install translations')
option('unihan', type: 'boolean', value: true, description: 'Include Han unification data (+/- 3.5 MB)')
option('nautilus', type: 'boolean', value: false, description: 'Install Nautilus extension')
option('nemo', type: 'boolean', value: false, description: 'Install Nemo extension')
option('thunar', type: 'boolean', value: false, description: 'Install Thunar extension')
option('gtk-doc', type: 'boolean', value: false, description: 'Install API documentation')
option('reproducible', type: 'boolean', value: false, description: 'Make the build reproducible')
option('app-armor', type: 'boolean', value: false, description: 'Install AppArmor Profile (unconfined)')

=== build-aux/Makefile ===

PACKAGE_NAME = font-manager
PACKAGE_VERSION = 0.9.0

ABS_TOP_SRCDIR = $(shell realpath ../)
ABS_SRCDIR = $(shell realpath .)
UNICODE_DATA_DIR = $(ABS_SRCDIR)/unicode/
PKG_LIB_DIR = $(ABS_TOP_SRCDIR)/lib

UNICODE_URL = http://www.unicode.org/Public
UNICODE_VERSION = 14.0.0
WGET = $(shell which wget)
WGETFLAGS = -np -nd -rc -P $(UNICODE_DATA_DIR)
UNZIP = $(shell which unzip)

UNICODE_FILES = \
	Blocks.txt \
	DerivedAge.txt \
	NamesList.txt \
	UnicodeData.txt \
	Unihan.zip \
	$(NULL)

UNICODE_SOURCES = \
	unicode-blocks.h \
	unicode-categories.h \
	unicode-names.h \
	unicode-nameslist.h \
	unicode-unihan.h \
	unicode-versions.h \
	$(NULL)

download-unicode-data:
	[ -e $(UNICODE_DATA_DIR) ] || mkdir -p $(UNICODE_DATA_DIR); \
	for f in $(UNICODE_FILES); \
	do \
		[ -e $(UNICODE_DATA_DIR)$${f} ] || \
		$(WGET) $(WGETFLAGS) "$(UNICODE_URL)/$(UNICODE_VERSION)/ucd/$${f}"; \
	done

unicode-headers: download-unicode-data
	PROG_UNZIP=$(UNZIP) ./gen-unicode-headers.pl $(UNICODE_VERSION) $(UNICODE_DATA_DIR) && \
	for f in $(UNICODE_SOURCES); \
	do \
		mv $${f} $(PKG_LIB_DIR)/data/ucd; \
	done && \
	rm -rf $(UNICODE_DATA_DIR)

$(PACKAGE_NAME).pot:
	cd $(ABS_TOP_SRCDIR)  && \
	meson setup build && \
	ninja -C build font-manager-pot && \
	ninja -C build help-font-manager-pot && \
	cd $(ABS_SRCDIR)

$(PACKAGE_NAME)-license.h:
	cd license && \
	./genheader.py $(PKG_LIB_DIR)/data && \
	cd ..

$(PACKAGE_NAME)-vendor.h:
	cd vendor && \
	./genheader.py $(PKG_LIB_DIR)/data && \
	cd ..

update-headers: $(PACKAGE_NAME)-license.h $(PACKAGE_NAME)-vendor.h unicode-headers
update: update-headers $(PACKAGE_NAME).pot

rpm:
	@echo -e "\n**** Need to ensure build dependencies are installed\n";
	pkexec dnf install rpmdevtools
	pkexec dnf builddep $(ABS_TOP_SRCDIR)/fedora/$(PACKAGE_NAME).spec
	rpmdev-setuptree
	cp $(ABS_TOP_SRCDIR)/fedora/$(PACKAGE_NAME).spec ~/rpmbuild/SPECS/
	cd ~/rpmbuild/SPECS/ || exit && \
	spectool -g -R $(PACKAGE_NAME).spec && \
	rpmbuild -ba $(PACKAGE_NAME).spec

BUILD_DEPENDS = \
	build-essential \
	debhelper \
	valac \
	meson \
	libxml2-dev \
	libfreetype-dev \
	libfontconfig-dev \
	libglib2.0-dev \
	libjson-glib-dev \
	libcairo2-dev \
	libgtk-4-dev \
	libadwaita-1-dev \
	libpango1.0-dev \
	libsqlite3-dev \
	libgirepository1.0-dev \
	yelp-tools \
	python3 \
	python-gi-dev \
	python3-nautilus \
	libsoup2.4-dev \
	libwebkitgtk-6.0-dev \
	libnautilus-extension-dev \
	libnemo-extension-dev \
	libthunarx-3-dev

deb:
	@echo -e '\n*** Need to ensure build dependencies are installed ***\n\n'
	pkexec apt install $(BUILD_DEPENDS)
	cd $(ABS_TOP_SRCDIR) || exit && \
	meson setup build && \
	ninja -C build dist && \
	cd build/meson-dist/ || exit && \
	tar -xvf $(PACKAGE_NAME)-$(PACKAGE_VERSION).tar.xz && \
	mv $(PACKAGE_NAME)-$(PACKAGE_VERSION).tar.xz \
	./$(PACKAGE_NAME)_$(PACKAGE_VERSION).orig.tar.xz && \
	cd $(PACKAGE_NAME)-$(PACKAGE_VERSION) || exit && \
	cp -R ../../../debian . && \
	dpkg-buildpackage -us -uc && \
	cd $(ABS_SRCDIR) || exit && \
	xdg-open ../build/meson-dist/

=== debian/changelog ===
font-manager (0.9.0-3) unstable; urgency=medium

  * debian/control: Add new binary package nautilus-font-manager.
  * debian/rules: Enable building nautilus extension.

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Aug 2024 19:03:51 -0400

font-manager (0.9.0-2) unstable; urgency=medium

  * Do not install AppArmor profile for now since Debian AppArmor
    does not support the file with new format yet. (Closes: #1076019, #1076481)

 -- Boyuan Yang <byang@debian.org>  Wed, 17 Jul 2024 10:43:13 -0400

font-manager (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Refresh information.
  * debian/control: Update build-dependency information to migrate to
    GTK4.
  * debian/rules: Properly install apparmor profile using dh_apparmor.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jul 2024 00:33:41 -0400

font-manager (0.8.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 27 May 2024 07:39:19 -0400

font-manager (0.8.8+git20240505-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #1069358)
  * debian/patches/*: Dropped, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 May 2024 22:24:18 -0400

=== debian/control ===
Source: font-manager
Section: graphics
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 desktop-file-utils,
 dh-apparmor,
 gettext,
 gobject-introspection,
 intltool,
 libadwaita-1-dev,
 libcairo2-dev,
 libfontconfig-dev,
 libfreetype-dev,
 libgee-0.8-dev,
 libgirepository1.0-dev,
 libglib2.0-dev (>= 2.44),
 libgtk-4-dev (>= 4.12),
 libgucharmap-2-90-dev,
 libjson-glib-dev,
 libnautilus-extension-dev,
 libnemo-extension-dev,
 libpango1.0-dev (>= 1.45),
 libsoup-3.0-dev,
 libsqlite3-dev,
 libthunarx-3-dev,
 libwebkitgtk-6.0-dev,
 libxml2-dev,
 meson (>= 0.53~),
 python3,
 valac (>= 0.42~),
 yelp-tools,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://fontmanager.github.io/
Vcs-Git: https://salsa.debian.org/fonts-team/font-manager.git
Vcs-Browser: https://salsa.debian.org/fonts-team/font-manager

Package: font-manager
Architecture: any
Multi-Arch: no
Depends:
 font-manager-common (= ${binary:Version}),
 font-viewer (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 file-roller,
 nemo-font-manager,
 yelp,
Description: font management application for the GNOME desktop
 Font Manager is intended to provide a way for average users to easily manage
 desktop fonts, without having to resort to command line tools or editing
 configuration files by hand. While designed primarily with the GNOME Desktop
 Environment in mind, it should work well with other Gtk+ desktop environments.

Package: font-manager-common
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 font-manager (<< 0.7.7-0.2~),
Description: Common files for font-viewer and font-manager
 Font Manager is intended to provide a way for average users to easily manage
 desktop fonts, without having to resort to command line tools or editing
 configuration files by hand. While designed primarily with the GNOME Desktop
 Environment in mind, it should work well with other Gtk+ desktop environments.
 .
 This package provides the common shared files for font-viewer and
 font-manager packages.

Package: font-viewer
Architecture: any
Multi-Arch: no
Depends:
 font-manager-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 font-manager (<< 0.7.7-0.2~),
Description: Full-featured font preview application for GTK Environments
 Font Manager is intended to provide a way for average users to easily manage
 desktop fonts, without having to resort to command line tools or editing
 configuration files by hand. While designed primarily with the GNOME Desktop
 Environment in mind, it should work well with other Gtk+ desktop environments.
 .
 This package provides the font-viewer component of Font Manager.

Package: nautilus-font-manager
Section: gnome
Architecture: any
Multi-Arch: same
Depends:
 font-viewer (= ${binary:Version}),
 nautilus,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Nautilus extension for Font Manager
 Font Manager is intended to provide a way for average users to easily manage
 desktop fonts, without having to resort to command line tools or editing
 configuration files by hand. While designed primarily with the GNOME Desktop
 Environment in mind, it should work well with other Gtk+ desktop environments.
 .
 This package provides integration with the Nautilus file manager for
 Font Manager.

Package: nemo-font-manager
Section: gnome
Architecture: any
Multi-Arch: same
Depends:
 font-viewer (= ${binary:Version}),
 nemo (>= 3.0),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 font-manager (<< 0.7.7-0.2~),
Description: Nemo extension for Font Manager
 Font Manager is intended to provide a way for average users to easily manage
 desktop fonts, without having to resort to command line tools or editing
 configuration files by hand. While designed primarily with the GNOME Desktop
 Environment in mind, it should work well with other Gtk+ desktop environments.
 .
 This package provides integration with the Nemo file manager for
 Font Manager.

Package: thunar-font-manager
Section: xfce
Architecture: any
Multi-Arch: same
Depends:
 font-manager (= ${binary:Version}),
 thunar (>= 1.8),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Thunar extension for Font Manager
 Font Manager is intended to provide a way for average users to easily manage
 desktop fonts, without having to resort to command line tools or editing
 configuration files by hand. While designed primarily with the GNOME Desktop
 Environment in mind, it should work well with other Gtk+ desktop environments.
 .
 This package provides integration with the Thunar file manager for
 Font Manager.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@ --no-parallel

execute_after_dh_auto_install:
	find $(CURDIR)/debian \
		-name '*.la' -delete
	# Disable dh_apparmor before Debian AppArmor is bumped to 4.x
	# See https://bugs.debian.org/1076019
	#dh_apparmor --profile-name=font-manager -p font-manager

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Dapp-armor=True \
	    -Dadwaita=True \
	    -Dnautilus=True \
	    -Dnemo=True \
	    -Dthunar=True \
	    -Dreproducible=True \
	    $(NULL)

## font-manager 0.9.1

=== build-aux/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 PACKAGE_NAME = font-manager
-PACKAGE_VERSION = 0.9.0
+PACKAGE_VERSION = 0.9.1
 
 ABS_TOP_SRCDIR = $(shell realpath ../)
 ABS_SRCDIR = $(shell realpath .)
@@ -8,7 +8,7 @@
 PKG_LIB_DIR = $(ABS_TOP_SRCDIR)/lib
 
 UNICODE_URL = http://www.unicode.org/Public
-UNICODE_VERSION = 14.0.0
+UNICODE_VERSION = 16.0.0
 WGET = $(shell which wget)
 WGETFLAGS = -np -nd -rc -P $(UNICODE_DATA_DIR)
 UNZIP = $(shell which unzip)

=== debian/changelog ===
font-manager (0.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Jan 2025 18:37:40 -0500

font-manager (0.9.0-5) unstable; urgency=medium

  * debian/control: Move the source package section from graphics
    to fonts. (Closes: #1086727)

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Nov 2024 08:12:05 -0500

font-manager (0.9.0-4) unstable; urgency=medium

  * debian/clean: Clean the generated po/POTFILES file explicitly.
    (Closes: #1044578)
  * debian/font-manager.maintscript: Add rm_conffile command to remove
    the previously-introduced apparmor profile that we do not want to
    enable now. (Closes: #1086439)

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Oct 2024 15:15:52 -0400

## font-manager 0.9.2

=== debian/changelog ===
font-manager (0.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jan 2025 21:58:35 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: font-manager
-Section: graphics
+Section: fonts
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders:

## font-manager 0.9.4

=== meson_options.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 option('search-provider', type: 'boolean', value: true, description: 'Install GNOME shell search provider')
 option('adwaita', type: 'boolean', value: false, description: 'Use Adwaita stylesheet')
 option('webkit', type: 'boolean', value: true, description: 'Google Fonts Integration')
+option('libarchive', type: 'boolean', value: true, description: 'Enable support for archive files')
 option('yelp-doc', type: 'boolean', value: true, description: 'Install help documents')
 option('enable-nls', type: 'boolean', value: true, description: 'Install translations')
 option('unihan', type: 'boolean', value: true, description: 'Include Han unification data (+/- 3.5 MB)')

=== build-aux/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 PACKAGE_NAME = font-manager
-PACKAGE_VERSION = 0.9.1
+PACKAGE_VERSION = 0.9.4
 
 ABS_TOP_SRCDIR = $(shell realpath ../)
 ABS_SRCDIR = $(shell realpath .)

=== debian/changelog ===
font-manager (0.9.4-3) unstable; urgency=medium

  * debian/control: Migrate away from libgirepository1.0-dev.
  * debian/control: Bump Standards-Version to 4.7.2.
  * debian/control: Move main package description to the source package
    section.
  * debian/watch: Update to v4.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Aug 2025 17:52:33 -0400

font-manager (0.9.4-2) unstable; urgency=medium

  * debian/patches/cc0c148d90741e39615e3380d283f684a052dd94.patch:
    Apply patch from upstream trunk to fix reproducibility issue.
    (Closes: #1100115)

 -- Boyuan Yang <byang@debian.org>  Thu, 01 May 2025 12:26:49 -0400

font-manager (0.9.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add new build-dep libarchive-dev.

 -- Boyuan Yang <byang@debian.org>  Sun, 09 Mar 2025 17:36:57 -0400

font-manager (0.9.2-2) unstable; urgency=medium

  * Team upload
  * Revert "Do not install apparmor profile for now"
  * Add Breaks against older apparmor

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Mar 2025 10:52:59 -0500

=== debian/control ===
Source: font-manager
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 desktop-file-utils,
 dh-apparmor,
 gettext,
 gir1.2-glib-2.0-dev <!nogir>,
 gobject-introspection (>= 1.80) <!nogir>,
 intltool,
 libadwaita-1-dev,
 libarchive-dev,
 libcairo2-dev,
 libfontconfig-dev,
 libfreetype-dev,
 libgee-0.8-dev,
 libglib2.0-dev (>= 2.44),
 libgtk-4-dev (>= 4.12),
 libgucharmap-2-90-dev,
 libjson-glib-dev,
 libnautilus-extension-dev,
 libnemo-extension-dev,
 libpango1.0-dev (>= 1.45),
 libsoup-3.0-dev,
 libsqlite3-dev,
 libthunarx-3-dev,
 libwebkitgtk-6.0-dev,
 libxml2-dev,
 meson (>= 0.53~),
 python3,
 valac (>= 0.42~),
 yelp-tools,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://fontmanager.github.io/
Vcs-Git: https://salsa.debian.org/fonts-team/font-manager.git
Vcs-Browser: https://salsa.debian.org/fonts-team/font-manager
Description: font management application for the GNOME desktop
 Font Manager is intended to provide a way for average users to easily manage
 desktop fonts, without having to resort to command line tools or editing
 configuration files by hand. While designed primarily with the GNOME Desktop
 Environment in mind, it should work well with other Gtk+ desktop environments.

Package: font-manager
Architecture: any
Multi-Arch: no
Depends:
 font-manager-common (= ${binary:Version}),
 font-viewer (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 file-roller,
 nemo-font-manager,
 yelp,
Breaks: apparmor (<< 4)
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: font-manager-common
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 font-manager (<< 0.7.7-0.2~),
Description: Common files for font-viewer and font-manager
 ${source:Extended-Description}
 .
 This package provides the common shared files for font-viewer and
 font-manager packages.

Package: font-viewer
Architecture: any
Multi-Arch: no
Depends:
 font-manager-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 font-manager (<< 0.7.7-0.2~),
Description: Full-featured font preview application for GTK Environments
 ${source:Extended-Description}
 .
 This package provides the font-viewer component of Font Manager.

Package: nautilus-font-manager
Section: gnome
Architecture: any
Multi-Arch: same
Depends:
 font-viewer (= ${binary:Version}),
 nautilus,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Nautilus extension for Font Manager
 ${source:Extended-Description}
 .
 This package provides integration with the Nautilus file manager for
 Font Manager.

Package: nemo-font-manager
Section: gnome
Architecture: any
Multi-Arch: same
Depends:
 font-viewer (= ${binary:Version}),
 nemo (>= 3.0),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 font-manager (<< 0.7.7-0.2~),
Description: Nemo extension for Font Manager
 ${source:Extended-Description}
 .
 This package provides integration with the Nemo file manager for
 Font Manager.

Package: thunar-font-manager
Section: xfce
Architecture: any
Multi-Arch: same
Depends:
 font-manager (= ${binary:Version}),
 thunar (>= 1.8),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Thunar extension for Font Manager
 ${source:Extended-Description}
 .
 This package provides integration with the Thunar file manager for
 Font Manager.

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,7 @@
 execute_after_dh_auto_install:
 	find $(CURDIR)/debian \
 		-name '*.la' -delete
-	# Disable dh_apparmor before Debian AppArmor is bumped to 4.x
-	# See https://bugs.debian.org/1076019
-	#dh_apparmor --profile-name=font-manager -p font-manager
+	dh_apparmor --profile-name=font-manager -p font-manager
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/font-manager-$1\.tar\.gz/ \
  https://github.com/FontManager/master/tags .*/v?(\d\S*)\.tar\.gz
